#! /usr/bin/python
#     Copyright (C) 2006 Stewart Adam
#    This file is part of fwfstab.

#    fwfstab is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    fwfstab is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with fwfstab; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
import gtk, gtk.glade, gobject

# import name : must use Callbacks.Class_or_Def_I_Need
# from name import * : Just use Class_or_Def_I_Need

from fwfstab import Callbacks
from fwfstab import BaseClasses


class GUI( Callbacks ):
	def __init__( self ):
		Callbacks.__init__( self )
		# add the rest of the application
		# you can access widgets from the glade file like this
		# self.ui.somewidget
		# incase a section's not there

		self.ui.notebook3.set_current_page(0)
		self.ui.window2.set_transient_for(self.ui.window1)
		self.ui.window3.set_transient_for(self.ui.window1)
		self.ui.window4.set_transient_for(self.ui.window1)

		self.SetupListTreeViews()
		self.CheckAvailFS()
		self.combobox1store = gtk.ListStore(gobject.TYPE_STRING)
		self.ui.combobox1.set_model(self.combobox1store)
#		self.combobox1cell = gtk.CellRendererText()
#		self.ui.combobox1.pack_start(self.combobox1cell, True)
#		self.ui.combobox1.add_attribute(self.combobox1cell, 'text', 0)
		self.combobox1store.append(['Examples...'])
		self.ui.combobox1.set_active(0)
		for i in self.filesystems:
			self.combobox1store.append([i])
		self.readmountopts()
		self.readfstab()

# Startup the application and call the gtk event loop
if __name__ == "__main__":
    mainApp = GUI()
    gtk.main()
